Kaus Ultimate Overlay v1.11 NEW: Added Sprite Fixes Snippet Plugin

Discussion in 'JS Plugin Releases (RMMV)' started by Kaus, Oct 31, 2015.

Thread Status:
Not open for further replies.
  1. Tuomo L

    Tuomo L Oldbie Veteran

    Messages:
    2,288
    Likes Received:
    1,256
    Location:
    Finland!
    First Language:
    Finnish
    Primarily Uses:
    RMMV
    Kaus Ultimate overlay crashes my project after updating to 1.2  RPG Maker MV.


    TypeError: Cannot read property 'canvasBuffer' of undefined
        at TilingSprite.generateTilingTexture (rpg_core.js:4758)
        at TilingSprite.updateTransform (rpg_core.js:4818)
        at Tilemap.PIXI.DisplayObjectContainer.updateTransform [as displayObjectContainerUpdateTransform] (pixi.js:2099)
        at Tilemap.updateTransform (rpg_core.js:3951)
        at Sprite.PIXI.DisplayObjectContainer.updateTransform [as displayObjectContainerUpdateTransform] (pixi.js:2099)
        at Sprite.updateTransform (rpg_core.js:3561)
        at Spriteset_Map.PIXI.DisplayObjectContainer.updateTransform [as displayObjectContainerUpdateTransform] (pixi.js:2099)
        at Spriteset_Map.Sprite.updateTransform (rpg_core.js:3561)
        at Scene_Map.PIXI.Stage.updateTransform (pixi.js:5206)
        at PIXI.WebGLRenderer.render (pixi.js:8203)rpg_managers.js:1722 SceneManager.catchException
     
  2. Kaus

    Kaus The Sagittarius Bearer Veteran

    Messages:
    376
    Likes Received:
    948
    First Language:
    Taglish
    You guys need to download KSU ParallaxSmoothing after updating to 1.2 just read the recent comments posted -_-
     
  3. jvcscasio

    jvcscasio Writer Veteran

    Messages:
    84
    Likes Received:
    39
    First Language:
    Portuguese
    I downloaded  KSU ParallaxSmoothing  but it's still giving this message:


    TypeError: Cannot read property 'canvasBuffer' of undefined
        at TilingSprite.generateTilingTexture (rpg_core.js:4758)
        at TilingSprite.updateTransform (rpg_core.js:4818)
        at Tilemap.PIXI.DisplayObjectContainer.updateTransform [as displayObjectContainerUpdateTransform] (pixi.js:2099)
        at Tilemap.updateTransform (rpg_core.js:3951)
        at Sprite.PIXI.DisplayObjectContainer.updateTransform [as displayObjectContainerUpdateTransform] (pixi.js:2099)
        at Sprite.updateTransform (rpg_core.js:3561)
        at Spriteset_Map.PIXI.DisplayObjectContainer.updateTransform [as displayObjectContainerUpdateTransform] (pixi.js:2099)
        at Spriteset_Map.Sprite.updateTransform (rpg_core.js:3561)
        at Scene_Map.PIXI.Stage.updateTransform (pixi.js:5206)
        at PIXI.WebGLRenderer.render (pixi.js:8203)
     
  4. Kaus

    Kaus The Sagittarius Bearer Veteran

    Messages:
    376
    Likes Received:
    948
    First Language:
    Taglish
    You've download KSU and what settings did you put?
    I'm guessing not this setting? 


    [​IMG]


    You better make sure it is set to false


    Also put it below my plugin. 



    My Plugin is working fine with 1.2 in my end. Maybe you have another plugin clashing with it.


    -Did you try making a new project and put my plugin in there and run it? 
     
    Last edited by a moderator: May 15, 2016
  5. jvcscasio

    jvcscasio Writer Veteran

    Messages:
    84
    Likes Received:
    39
    First Language:
    Portuguese


    I only use yours and Yanfly's plugins, unless the incompatibility is with yanfly, everything should work. But it doesn't even in a new project, HOWEVER, my KSU_parallax is different from the picture, it has these </span> etc all over it:


    Capturar.JPG


    I downloaded the only version I found in this topic...
     
  6. Kaus

    Kaus The Sagittarius Bearer Veteran

    Messages:
    376
    Likes Received:
    948
    First Language:
    Taglish
    Again, Go to the link provided for KSU_Parallax


    in the linked page. click on the "RAW" just above (Right Side) the code


    After clicking Raw it will display the code of the plugin as plain text.


    Try CTRL + S it. I think you didn't download it the right way. 
     
  7. jvcscasio

    jvcscasio Writer Veteran

    Messages:
    84
    Likes Received:
    39
    First Language:
    Portuguese
    You were right! It's working now! Thanks!!!  :D
     
  8. esn23

    esn23 Warper Member

    Messages:
    2
    Likes Received:
    0
    First Language:
    english
    I know this is going to sound like a noob question but how do i assign my fog an fog number to add a second fog layer?  Sorry for the noob question but im stumped :(
     
  9. exsharaen

    exsharaen Villager Member

    Messages:
    16
    Likes Received:
    2
    Location:
    Surabaya, Indonesia
    First Language:
    Indonesian
    Hi, I'm new to RMMV as this weekend we can try it for free at Steam, and I need a parallax script so I came here. I installed the 1.11 version of this script (as linked at the first post). However, when I install the plugin, I didn't have any parameters and help, so I don't know how to use this script. Here's the screenshot.


    KAUS.PNG


    When I open the script, I get this:


    KausJS.PNG


    Is this the correct file?


    Any help is appreciated. Thanks!
     
  10. Kaus

    Kaus The Sagittarius Bearer Veteran

    Messages:
    376
    Likes Received:
    948
    First Language:
    Taglish
    Redownload the file. It shouldn't be that way.
     
  11. exsharaen

    exsharaen Villager Member

    Messages:
    16
    Likes Received:
    2
    Location:
    Surabaya, Indonesia
    First Language:
    Indonesian
    @Kaus thanks, I redownloaded it by now and I  get the whole script. Wonder why yesterday I got a different file... maybe because of my ad blocker.


    Thanks! Will learn how to use it.
     
  12. rainycrystal

    rainycrystal Villager Member

    Messages:
    8
    Likes Received:
    0
    First Language:
    English
    I like your plug-in, but whenever I hit the Esc key to cancel out of a menu, my ground overlay disappears from my map during runtime.
     
  13. KingGodzilla

    KingGodzilla King of the Monsters Veteran

    Messages:
    19
    Likes Received:
    7
    Location:
    United States
    First Language:
    English


    I'm having this exact same issue. I just made a completely new project where the one and only plugin is the Kaus Ultimate Overlay plugin. I am only getting the error when I try to "Test" a message in the event editor. During playtest, it works fine, but always has an issue during the "Test" function while editing, specifically testing messages.
     
  14. oToToToToTo

    oToToToToTo Veteran Veteran

    Messages:
    46
    Likes Received:
    9
    First Language:
    English

    I've over 150 plugins working at once, Kaus' and the plugins listed in the OP among them. Make sure your other plugins are compatible with one another, and also make sure to have Kaus' plugins near the bottom (and in the correct order) of your plugin list, positioning of plugins is vital because it ensures proper run order. Try moving Kaus' plugins below the other ones, or perhaps even above. This is a surprisingly very compatible plugin, make sure you have the files set up correctly as well to avoid other errors. Also make sure you are updated to the latest version of RPG Maker MV!
     
    Kaus likes this.
  15. snowy-scales

    snowy-scales Villager Member

    Messages:
    21
    Likes Received:
    11
    First Language:
    English
    Could somebody explain to me what exactly the "bind pictures" parameter in this plugin actually means?
     
  16. ChimaereJade

    ChimaereJade Last Samurai Member

    Messages:
    18
    Likes Received:
    5
    Location:
    Germany
    First Language:
    German
    I dont know if I'm just tired as hell, but I don't get this plugin working. :/

    The options are all vanilla and as you can see I checked the order of the necessary plugins. Hope, someone can help me out. ^^"

    Error_message.png


    Plugin_order_list.png
     
    Last edited by a moderator: Jun 10, 2016
  17. Iliketea

    Iliketea Tea lover Veteran

    Messages:
    848
    Likes Received:
    932
    Location:
    Germany
    First Language:
    German
    Hi kaus ^^


    Just tried to use Fog for the first time and it looks really good! 


    ...


    But... Its a bit fast? Is it possible to to make it even slower that <xMove:1> ?
     
  18. Kaus

    Kaus The Sagittarius Bearer Veteran

    Messages:
    376
    Likes Received:
    948
    First Language:
    Taglish
    @snowy-scales It means set it to true if you're using Bind Pictures Plugin. 


    @ChimaereJade put the overlay plugin ABOVE everything


    @Iliketea putting 0.x / -0.x is slower ;)  
     
    Iliketea likes this.
  19. Iliketea

    Iliketea Tea lover Veteran

    Messages:
    848
    Likes Received:
    932
    Location:
    Germany
    First Language:
    German
    @Kaus Ah, I put 0,2 instead of 0.2 so it didnt move  and I thought that 1 was the slowest ^^
     
  20. ChimaereJade

    ChimaereJade Last Samurai Member

    Messages:
    18
    Likes Received:
    5
    Location:
    Germany
    First Language:
    German
    Hey Kaus, thanks for you answer. Now I get the message: "TypeError - Cannot set property 'x' of undefined. :/
    Tryed this out in another, fresh project too. Used the notetag of the map (<ground>) and saved the image as "ground2" (same as map_ID) in images->parallaxes
     
Thread Status:
Not open for further replies.

Share This Page